summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiaran McCreesh <ciaranm@gentoo.org>2004-09-01 03:30:29 +0000
committerCiaran McCreesh <ciaranm@gentoo.org>2004-09-01 03:30:29 +0000
commit6c387a5ec13d6bcb30ebe686b992b52c8e769bba (patch)
tree36eebf5ee8a5edb0a9b3bad525eff6e5787381e7 /eclass/vim.eclass
parentStable on x86, sparc (Manifest recommit) (diff)
downloadgentoo-2-6c387a5ec13d6bcb30ebe686b992b52c8e769bba.tar.gz
gentoo-2-6c387a5ec13d6bcb30ebe686b992b52c8e769bba.tar.bz2
gentoo-2-6c387a5ec13d6bcb30ebe686b992b52c8e769bba.zip
fix USE=-cscope, bug #62465
Diffstat (limited to 'eclass/vim.eclass')
-rw-r--r--eclass/vim.eclass9
1 files changed, 8 insertions, 1 deletions
diff --git a/eclass/vim.eclass b/eclass/vim.eclass
index de8d13eca368..65705a8b841a 100644
--- a/eclass/vim.eclass
+++ b/eclass/vim.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.65 2004/07/31 22:15:01 ciaranm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.66 2004/09/01 03:30:29 ciaranm Exp $
# Authors:
# Ryan Phillips <rphillips@gentoo.org>
@@ -214,6 +214,13 @@ src_compile() {
# VIMINIT='let OS=system("uname -s")' vim
#myconf="${myconf} `use_enable tcl tclinterp`"
+ # --with-features=huge forces on cscope even if we --disable it. We need
+ # to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+ if ! use cscope ; then
+ sed -i -e '/# define FEAT_CSCOPE/d' src/feature.h || \
+ die "couldn't disable cscope"
+ fi
+
if [ ${PN} = vim ]; then
# don't test USE=X here... see bug #19115
# but need to provide a way to link against X... see bug #20093